# $Revision: 1.35 $, $Date: 2010/02/05 15:19:08 $
Summary:	Autoconf macros for xorg
Summary(pl.UTF-8):	Makra autoconfa dla xorg
Name:		xorg-util-util-macros
Version:	1.6.0
Release:	1
License:	MIT
Group:		X11/Development/Tools
Source0:	http://xorg.freedesktop.org/releases/individual/util/util-macros-%{version}.tar.bz2
# Source0-md5:	6a0ac8efb11ad9b867f2e08ef87ad4c4
Patch0:		%{name}-x.patch
Patch1:		%{name}-nosilent.patch
URL:		http://xorg.freedesktop.org/
BuildRequires:	autoconf >= 2.60
BuildRequires:	automake
BuildRequires:	rpmbuild(macros) >= 1.446
Requires:	pkgconfig
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This is a set of autoconf macros used by the configure.ac scripts in
other Xorg modular packages, and is needed to generate new versions of
their configure scripts with autoconf.

%description -l pl.UTF-8
Ten pakiet zawiera makra autoconfa używane przez skrypty configure.ac
w innych pakietach modularnego Xorg. Jest wymagany do generowania
nowych wersji skryptów configure przy użyciu autoconfa.

%prep
%setup -q -n util-macros-%{version}
%patch0 -R -p1
%patch1 -p1

%build
%{__aclocal}
%{__autoconf}
%{__automake}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc COPYING ChangeLog README
%{_aclocaldir}/xorg-macros.m4
%{_npkgconfigdir}/xorg-macros.pc

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: xorg-util-util-macros.spec,v $
Revision 1.35  2010/02/05 15:19:08  arekm
- up to 1.6.0

Revision 1.34  2010/01/18 07:03:09  arekm
- up to 1.5.0

Revision 1.33  2010/01/16 21:12:34  arekm
- up to 1.4.2

Revision 1.32  2009/12/18 21:13:37  arekm
R: pkgconfig

Revision 1.31  2009/12/15 13:28:15  qboosh
- updated ac version
- rpm macros for _npkgconfigdir

Revision 1.30  2009/12/15 05:20:57  arekm
- up to 1.4.1

Revision 1.29  2009/09/29 15:58:50  qboosh
- added nosilent patch (no silent rules by default;
  we need all compiler/linker arguments in build logs)
- release 2

Revision 1.28  2009/09/10 18:42:34  arekm
- up to 1.3.0

Revision 1.27  2009/06/18 20:31:45  arekm
- up to 1.2.2

Revision 1.26  2008/12/17 09:01:18  deejay1
- up to 1.2.1

Revision 1.25  2008/11/29 17:55:09  arekm
- up to 1.2.0

Revision 1.24  2008/03/06 07:22:28  arekm
- up to 1.1.6

Revision 1.23  2007/02/12 22:09:25  glen
- tabs in preamble

Revision 1.22  2007/02/12 01:06:40  baggins
- converted to UTF-8

Revision 1.21  2006/12/24 11:04:36  qboosh
- updated to 1.1.5
- longer descs, added README to doc

Revision 1.20  2006/12/16 15:22:45  arekm
- up to 1.1.4

Revision 1.19  2006/11/30 22:44:34  arekm
- up to 1.1.3

Revision 1.18  2006/11/08 15:40:50  arekm
- up to 1.1.2

Revision 1.17  2006/09/03 16:22:11  qboosh
- FHS 2.3 says we shouldn't follow, so added x patch to revert to restore man suffixes
- release 2

Revision 1.16  2006/08/28 07:52:44  qboosh
- updated to 1.1.1 (drops "x" from default man sections - should we follow?)

Revision 1.15  2006/07/21 06:27:04  qboosh
- updated to 1.1.0

Revision 1.14  2006/05/23 06:37:36  arekm
- up to 1.0.2

Revision 1.13  2006/05/14 17:11:09  arekm
- no more X11R7.0 in setup

Revision 1.12  2006/05/08 17:07:57  arekm
- update md5sum for individual files.

Revision 1.11  2006/05/08 17:00:03  arekm
- switch to individual files

Revision 1.10  2006/02/03 20:26:25  pluto
- release 1.

Revision 1.9  2005/12/22 11:46:13  qboosh
- 1.0.1 (X11R7.0 release)

Revision 1.8  2005/12/19 14:30:06  qboosh
- 1.0.0 (X11R7.0-RC4)

Revision 1.7  2005/12/04 09:40:34  qboosh
- 0.99.2 (X11R7.0-RC3)

Revision 1.6  2005/10/22 18:58:46  qboosh
- no libtool here

Revision 1.5  2005/10/20 12:44:43  qboosh
- BR: autoconf >= 2.57

Revision 1.4  2005/10/20 10:09:28  qboosh
- 0.99.1 (X11R7.0-RC1)

Revision 1.3  2005/08/27 15:45:25  qboosh
- use just name in BuildRoot

Revision 1.2  2005/08/27 15:05:06  qboosh
- existing Group, cleanup

Revision 1.1  2005/08/15 12:17:57  arekm
- new try
- all xorg files prefixed with xorg-kind_of_package where kind of package can be seen at http://xorg.freedesktop.org/X11R7.0-RC0/

Revision 1.1  2005/08/14 22:46:41  arekm
- modular xorg specs

* Wed Aug 10 2005 09:22:33  Tomasz Trojanowski  <trojan@pld-freebsd.org>
- fixed Group

* Wed Aug 10 2005 09:04:05  Tomasz Trojanowski  <trojan@pld-freebsd.org>
- fixed summaries and descriptions

* Wed Aug  3 2005 14:09:58  Tomasz Trojanowski  <trojan@pld-freebsd.org>
- initial release
